2004-01-28	adirks
	* MMS_Compile.cpp [ContainerContents] 1.1.2.28:
	* Storage.cpp [ContainerContents] 1.1.2.28:
		Исправлена ошибка: при компиляции удваивалось количество нулевых 
		байт в конце файла. Что пагубно сказывалось на шаблонах mxl.

2004-01-28	fez
	* Task.cpp [ContainerContents] 1.22.2.10:
	* gcomp.cpp [ContainerContents] 1.8.2.3:
		Парсинг параметров командной строки перенесен из конструктора 
		CTask в _tmain()

	* NameTable.cpp [ContainerContents] 1.1.2.12:
	* NameTable.h [ContainerContents] 1.1.2.3:
	* Task.cpp [ContainerContents] 1.22.2.9:
	* Task.h [ContainerContents] 1.32.2.11:
	* gcomp.cpp [ContainerContents] 1.8.2.2:
		Заготовка для ключа --eng
		Только чего-то пока не работает

	* NameTable.cpp [ContainerContents] 1.1.2.14:
	* gcomp.cpp [ContainerContents] 1.8.2.5:
		Создана английская таблица имен.

	* TaskHelp.cpp [ContainerContents] 1.11.2.2:
		Новые опции описаны в помощи по gcomp -h

	* Storage.cpp [ContainerContents] 1.1.2.27:
		Добавлено уточняющее сообщение при обломе парсинга MMS (запаролен
		ная конфига)

	* Task.cpp [ContainerContents] 1.22.2.11:
	* Task.h [ContainerContents] 1.32.2.12:
	* gcomp.cpp [ContainerContents] 1.8.2.6:
		Добавлена опция --version
		Выводит информацию о номере версии и больше ничего не делает

	* NameTable.cpp [ContainerContents] 1.1.2.13:
	* NameTable.h [ContainerContents] 1.1.2.4:
	* gcomp.cpp [ContainerContents] 1.8.2.4:
		--eng заработал. Осталось переписать конструктор английской табли
		цы имен

2004-01-27	adirks
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.31:
		При декомпиляции внешних отчетов сразу меняем версию ММС и убирае
		м CRC. Чтобы не прыгало каждый раз туда-сюда.

2004-01-26	adirks
	* MMS.h [ContainerContents] 1.1.2.45:
	* MMS_Compile.cpp [ContainerContents] 1.1.2.27:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.30:
	* Storage.cpp [ContainerContents] 1.1.2.26:
	* StreamInfo.h [ContainerContents] 1.9.2.2:
	* Task.cpp [ContainerContents] 1.22.2.8:
	* TaskCompile.cpp [ContainerContents] 1.20.2.21:
	* TaskHelp.cpp [ContainerContents] 1.11.2.1:
		Компиляция внешних отчетов. --no-profiles, --truncate-mms работаю
		т при комниляции.

	* Storage.cpp [ContainerContents] 1.1.2.25:
		Лишние комментарии

	* MMS.cpp [ContainerContents] 1.1.2.55:
	* MMS.h [ContainerContents] 1.1.2.44:
	* MMS_Compile.cpp [ContainerContents] 1.1.2.26:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.29:
	* NameTable.cpp [ContainerContents] 1.1.2.11:
	* TaskCompile.cpp [ContainerContents] 1.20.2.20:
	* TaskDecompile.cpp [ContainerContents] 1.37.2.16:
		Декомпиляция внешних отчетов. Компиляция пока не совсем работает
		.

2004-01-24	adirks
	* MMS.cpp [ContainerContents] 1.1.2.54:
	* MMS.h [ContainerContents] 1.1.2.43:
	* MMS_Compile.cpp [ContainerContents] 1.1.2.25:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.28:
	* MainMetadataStream.y [ContainerContents] 1.5.2.17:
	* TaskDecompile.cpp [ContainerContents] 1.37.2.15:
		Поубирал лишние классы ММС. Навёл порядок в MMS_Decompile.cpp и 
		MMS_Compile.cpp

2004-01-23	adirks
	* MMS_Compile.cpp [ContainerContents] 1.1.2.23:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.25:
	* TaskCompile.cpp [ContainerContents] 1.20.2.18:
		Теперь вроде бы все имена берутся из NameTable

	* CommonFunctions.cpp [ContainerContents] 1.1.2.9:
	* CommonFunctions.h [ContainerContents] 1.1.2.5:
	* MMS_Compile.cpp [ContainerContents] 1.1.2.18:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.21:
		При обработке шаблонов mxl убрал name mangling/demangling, все не
		хорошие символы заменяются на '_', соответствия внутренних имён и
		 имён файлов хранятся в ПорядокОбъектов.ord

	* CommonFunctions.cpp [ContainerContents] 1.1.2.11:
	* CommonFunctions.h [ContainerContents] 1.1.2.6:
	* MMS_Compile.cpp [ContainerContents] 1.1.2.24:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.27:
		Немного изменил формат ПорядокОбъектов.ord для шаблонов mxl.
		При формировании ПорядокОбъектов.ord для всех объектов приняты меры, чтобы не вводить в заблуждение CVS.
		Урезана парочка лишних функций.

	* MMS_Compile.cpp [ContainerContents] 1.1.2.19:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.22:
		Исправлена ошибка при работе с именами таблиц mxl

	* CommonFunctions.cpp [ContainerContents] 1.1.2.10:
	* MMS.h [ContainerContents] 1.1.2.41:
	* MMS_Compile.cpp [ContainerContents] 1.1.2.21:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.24:
	* NameTable.cpp [ContainerContents] 1.1.2.6:
	* NameTable.h [ContainerContents] 1.1.2.2:
	* TaskCompile.cpp [ContainerContents] 1.20.2.17:
		Исправлена ещё одна ошибка при работе с именами таблиц mxl.
		Добавлено записей в таблицу имён.

	* MMS_Compile.cpp [ContainerContents] 1.1.2.20:
		Немного повысим надёжность.

	* MMS.h [ContainerContents] 1.1.2.42:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.26:
	* NameTable.cpp [ContainerContents] 1.1.2.8:
	* TaskCompile.cpp [ContainerContents] 1.20.2.19:
		Подправил NameTable. Для расширений есть специальное поле. И подп
		равил выгрузку, чтобы это учитывалось.

2004-01-23	fez
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.23:
		Добавлен вывод отладочного сообщения при подмене символов в имени
		 мокселей.

	* NameTable.cpp [ContainerContents] 1.1.2.7:
		Расширение .mdp дано еще и тем кусочкам MMS, что лежат в корне де
		рева конфигурации (типа констант и перечислений).

	* NameTable.cpp [ContainerContents] 1.1.2.10:
		Шоб ты общался только через ChangeLog !!!
		:)

	* MMS_Compile.cpp [ContainerContents] 1.1.2.22:
		Функция должна возвращать значение, даже в случае ошибки

	* NameTable.cpp [TranslitNames] 1.1.2.10.2.1:
	* NameTable.h [TranslitNames] 1.1.2.2.2.1:
	* Task.cpp [TranslitNames] 1.22.2.7.2.1:
	* Task.h [TranslitNames] 1.32.2.10.2.1:
	* gcomp.cpp [TranslitNames] 1.8.2.1.2.1:
		Начало работы над опцией --eng

	* NameTable.cpp [ContainerContents] 1.1.2.9:
		Немного по другому расставлены строки в конструкторе CNameTable

2004-01-22	adirks
	* Task.cpp [ContainerContents] 1.22.2.7:
		Исправлен косяк с расскими именами файлов (ключ -F)

	* MMS.cpp [ContainerContents] 1.1.2.53:
	* MMS.h [ContainerContents] 1.1.2.39:
	* MMS_Compile.cpp [ContainerContents] 1.1.2.15:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.19:
	* MainMetadataStream.y [ContainerContents] 1.5.2.16:
	* NameTable.cpp [ContainerContents] 1.1.2.4:
		Сортировка справочников, документов, журналов и т.д. теперь сохра
		няется. Для этого при декомпиляции создается файл ПорядокОбъектов
		.ord

	* Container.cpp [ContainerContents] 1.1.2.5:
	* MMS.cpp [ContainerContents] 1.1.2.52:
	* MMS.h [ContainerContents] 1.1.2.38:
	* MMS_Compile.cpp [ContainerContents] 1.1.2.13:
	* NameTable.cpp [ContainerContents] 1.1.2.3:
	* Storage.cpp [ContainerContents] 1.1.2.23:
	* Storage.h [ContainerContents] 1.1.2.18:
	* TaskCompile.cpp [ContainerContents] 1.20.2.16:
		Не компилируются справочники и документы без форм.
		Наконец-то убрал утечки памяти. Трудно сказать, все или не все, потому что MSVC их сам делает.

	* CommonFunctions.cpp [ContainerContents] 1.1.2.8:
	* CommonFunctions.h [ContainerContents] 1.1.2.4:
	* MMS_Compile.cpp [ContainerContents] 1.1.2.14:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.18:
		Сделал чтобы при компиляции/декомпиляции шаблонов таблиц сохранял
		ся оригинальный суффикс. Хотя может быть и зря.

	* MMS.h [ContainerContents] 1.1.2.40:
	* MMS_Compile.cpp [ContainerContents] 1.1.2.16:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.20:
	* NameTable.cpp [ContainerContents] 1.1.2.5:
	* Storage.cpp [ContainerContents] 1.1.2.24:
		Не компилируются пустые формы списков и чего-то ещё

	* MMS_Compile.cpp [ContainerContents] 1.1.2.17:
		Убрал лишний комментарий

2004-01-21	adirks
	* NameTable.cpp 1.1:
		file NameTable.cpp was initially added on branch 
		ContainerContents.

	* MMS.cpp [ContainerContents] 1.1.2.50:
	* MMS.h [ContainerContents] 1.1.2.35:
	* MMS_Compile.cpp [ContainerContents] 1.1.2.11:
	* NameTable.cpp [ContainerContents] 1.1.2.1:
	* NameTable.h [ContainerContents] 1.1.2.1:
	* TaskCompile.cpp [ContainerContents] 1.20.2.15:
	* gcomp.dsp [ContainerContents] 1.10.2.7:
		Выделил NameTable в отдельный файл

	* NameTable.h 1.1:
		file NameTable.h was initially added on branch 
		ContainerContents.

	* MMS.cpp [ContainerContents] 1.1.2.51:
	* MMS.h [ContainerContents] 1.1.2.37:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.16:
	* Task.cpp [ContainerContents] 1.22.2.6:
	* Task.h [ContainerContents] 1.32.2.10:
		Немножко красоты

	* MMS_Compile.cpp [ContainerContents] 1.1.2.12:
	* Storage.cpp [ContainerContents] 1.1.2.22:
	* Storage.h [ContainerContents] 1.1.2.17:
		Компиляция описаний

	* MMS.h [ContainerContents] 1.1.2.36:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.14:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.15:
	* NameTable.cpp [ContainerContents] 1.1.2.2:
		Выгрузка описаний для всяких объектов типа полей, измерений и т.д
		. Всё выгружается в каталог Описания.

	* Container.cpp [ContainerContents] 1.1.2.4:
	* Container.h [ContainerContents] 1.1.2.4:
	* MMS.h [ContainerContents] 1.1.2.34:
	* MMS_Compile.cpp [ContainerContents] 1.1.2.10:
		Изменён способ формирования Container.Contents. После формировани
		я основной структуры проходимся по МДшнику, и везде где надо соби
		раем Container.Contents.

	* Storage.cpp [ContainerContents] 1.1.2.21:
	* Storage.h [ContainerContents] 1.1.2.16:
		Парочка новых методов

	* MMS_Decompile.cpp [ContainerContents] 1.1.2.17:
	* gcomp.cpp [ContainerContents] 1.8.2.1:
		Исправлена ошибка при выгрузке описаний - имена файлов иногда пол
		учались недопустимыми

2004-01-20	adirks
	* StreamInfo.cpp [ContainerContents] 1.10.2.2:
	* StreamInfo.cpp [ContainerContents] 1.10.2.3:
		Исправлена ошибка определения размера временного файла.

	* MMS.cpp [ContainerContents] 1.1.2.46:
	* MMS.cpp [ContainerContents] 1.1.2.47:
		Сортировка справочников и документов по наименованию. Хотя вообще
		-то надо бы сохранять исходный порядок объектов.

	* MMS.cpp [ContainerContents] 1.1.2.48:
	* MMS.h [ContainerContents] 1.1.2.32:
	* MMS_Compile.cpp [ContainerContents] 1.1.2.6:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.11:
	* ParserTest.dsp [ContainerContents] 1.3.2.4:
	* Storage.cpp [ContainerContents] 1.1.2.18:
	* Storage.h [ContainerContents] 1.1.2.13:
		Декомпиляция наборов интерфейсов и прав. Пока что тупо вытаскивае
		м потоки.

	* MMS_Compile.cpp [ContainerContents] 1.1.2.7:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.12:
	* Storage.cpp [ContainerContents] 1.1.2.19:
	* Storage.h [ContainerContents] 1.1.2.14:
		Компиляция наборов интерфейсов и прав.
		1С уже не падает при загрузке скомпилированного МДшника.

	* MMS.cpp [ContainerContents] 1.1.2.49:
	* MMS.h [ContainerContents] 1.1.2.33:
	* MMS_Compile.cpp [ContainerContents] 1.1.2.9:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.13:
	* Storage.cpp [ContainerContents] 1.1.2.20:
	* Storage.h [ContainerContents] 1.1.2.15:
		Куча мелких поправок. Но всё равно объединение падает.

2004-01-19	adirks
	* MMS.cpp [ContainerContents] 1.1.2.44:
	* TaskCompile.cpp [ContainerContents] 1.20.2.13:
		Исправлены ошибки.

	* MMS.cpp [ContainerContents] 1.1.2.45:
	* MMS.h [ContainerContents] 1.1.2.31:
	* MMS_Compile.cpp [ContainerContents] 1.1.2.5:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.10:
	* TaskCompile.cpp [ContainerContents] 1.20.2.14:
		Попытки заставить 1С воспринимать ММС. Пока безуспешные.

	* MMS.h [ContainerContents] 1.1.2.28:
	* MMS_Compile.cpp [ContainerContents] 1.1.2.2:
		Компиляция документов

	* MMS_Decompile.cpp [ContainerContents] 1.1.2.9:
		Декомпиляция журнала операций

	* MMS.cpp [ContainerContents] 1.1.2.42:
	* MMS.h [ContainerContents] 1.1.2.29:
	* MMS_Compile.cpp [ContainerContents] 1.1.2.3:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.8:
		Компиляция отчетов и журналов документов

	* MMS.cpp [ContainerContents] 1.1.2.43:
	* MMS.h [ContainerContents] 1.1.2.30:
	* MMS_Compile.cpp [ContainerContents] 1.1.2.4:
	* Storage.cpp [ContainerContents] 1.1.2.17:
		Компиляция журнала и алгоритмов расчета. Параметров бухгалтерии.

2004-01-18	adirks
	* Container.cpp [ContainerContents] 1.1.2.3:
	* Container.h [ContainerContents] 1.1.2.3:
	* MMS.cpp [ContainerContents] 1.1.2.41:
	* MMS.h [ContainerContents] 1.1.2.27:
	* MMS_Compile.cpp [ContainerContents] 1.1.2.1:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.7:
	* Storage.cpp [ContainerContents] 1.1.2.16:
	* Storage.h [ContainerContents] 1.1.2.12:
	* TaskCompile.cpp [ContainerContents] 1.20.2.12:
	* TaskDecompile.cpp [ContainerContents] 1.37.2.14:
	* gcomp.dsp [ContainerContents] 1.10.2.6:
		Компиляция справочников

	* MMS.cpp [ContainerContents] 1.1.2.40:
	* MMS.h [ContainerContents] 1.1.2.26:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.6:
	* TaskCompile.cpp [ContainerContents] 1.20.2.11:
	* TaskDecompile.cpp [ContainerContents] 1.37.2.13:
		Таблица имён используется для декомпиляции всех объектов (добавле
		ны общие таблицы и библиотека картинок)

	* MMS_Compile.cpp 1.1:
		file MMS_Compile.cpp was initially added on branch 
		ContainerContents.

2004-01-17	adirks
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.3:
	* TaskCompile.cpp [ContainerContents] 1.20.2.10:
	* TaskDecompile.cpp [ContainerContents] 1.37.2.12:
		Таблица имён используется для декомпиляции всех корневых объектов
		

	* Storage.cpp [ContainerContents] 1.1.2.15:
		Исправлена ошибка - gcomp -d -vv успешно падал

	* MMS.cpp [ContainerContents] 1.1.2.39:
	* MMS.h [ContainerContents] 1.1.2.25:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.4:
		Таблица имён используется для декомпиляции всех объектов

	* TaskCompile.cpp [ContainerContents] 1.20.2.8:
		ММС собран, и даже компилируется

	* CommonFunctions.cpp [ContainerContents] 1.1.2.7:
	* Storage.cpp [ContainerContents] 1.1.2.14:
	* Storage.h [ContainerContents] 1.1.2.10:
	* Task.cpp [ContainerContents] 1.22.2.4:
	* Task.h [ContainerContents] 1.32.2.8:
	* TaskCompile.cpp [ContainerContents] 1.20.2.7:
	* TaskDecompile.cpp [ContainerContents] 1.37.2.11:
		Начинаем собирать ММС из кусочков

	* MMS.cpp [ContainerContents] 1.1.2.38:
	* MMS.h [ContainerContents] 1.1.2.24:
	* TaskCompile.cpp [ContainerContents] 1.20.2.9:
		Имена файлов и каталогов берём из таблицы

	* Storage.cpp [ContainerContents] 1.1.2.13:
	* Storage.h [ContainerContents] 1.1.2.9:
	* StreamInfo.cpp [ContainerContents] 1.10.2.1:
	* StreamInfo.h [ContainerContents] 1.9.2.1:
	* TaskCompile.cpp [ContainerContents] 1.20.2.6:
		Методы CStorage для создания потоков

	* MMS_Decompile.cpp [ContainerContents] 1.1.2.5:
	* Storage.h [ContainerContents] 1.1.2.11:
	* Task.cpp [ContainerContents] 1.22.2.5:
	* Task.h [ContainerContents] 1.32.2.9:
		Поубирал остатки старого кода

2004-01-15	adirks
	* MainMetadataStream.y [ContainerContents] 1.5.2.15:
		Ошибка при декомпиляции МД без последовательностей документов

2004-01-14	adirks
	* MMS_Decompile.cpp 1.1:
		file MMS_Decompile.cpp was initially added on branch 
		ContainerContents.

	* MMS.cpp [ContainerContents] 1.1.2.35:
	* MainMetadataStream.y [ContainerContents] 1.5.2.14:
		CMMSNodeList и CMMSNode вообще убраны из результатов парсинга.

	* MMS.cpp [ContainerContents] 1.1.2.36:
	* MMS.h [ContainerContents] 1.1.2.22:
		Таблица всяческих имён. Пока только начало.

	* MMS.cpp [ContainerContents] 1.1.2.37:
	* MMS.h [ContainerContents] 1.1.2.23:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.1:
	* MMS_Decompile.cpp [ContainerContents] 1.1.2.2:
	* gcomp.dsp [ContainerContents] 1.10.2.5:
		Таблица имён объектов. Пока только для текстов из ММС

2004-01-13	adirks
	* MMS.cpp [ContainerContents] 1.1.2.33:
	* MMS.h [ContainerContents] 1.1.2.21:
	* MainMetadataStream.y [ContainerContents] 1.5.2.13:
		Параметры бухгалтерии

	* MMS.cpp [ContainerContents] 1.1.2.29:
	* MainMetadataStream.y [ContainerContents] 1.5.2.10:
		CMMSNodeList и CMMSNode вообще убраны из результатов парсинга.

	* MMS.cpp [ContainerContents] 1.1.2.32:
		Группы расчетов
		Правила перерасчетов

	* MMS.cpp [ContainerContents] 1.1.2.34:
		Убрал пробелы из имён файлов

	* MMS.cpp [ContainerContents] 1.1.2.25:
	* MMS.h [ContainerContents] 1.1.2.17:
	* MainMetadataStream.y [ContainerContents] 1.5.2.9:
	* ParserTest.cpp [ContainerContents] 1.4.2.4:
		Ещё немножко объектов

	* MMS.cpp [ContainerContents] 1.1.2.30:
	* MMS.h [ContainerContents] 1.1.2.19:
	* MainMetadataStream.y [ContainerContents] 1.5.2.11:
		Журналы расчетов

	* MMS.cpp [ContainerContents] 1.1.2.31:
	* MMS.h [ContainerContents] 1.1.2.20:
	* MainMetadataStream.y [ContainerContents] 1.5.2.12:
		Алгоритмы расчетов

	* MMS.cpp [ContainerContents] 1.1.2.26:
		Убрал ID из каталога справочника (он для отладки был)

	* MMS.cpp [ContainerContents] 1.1.2.27:
	* MMS.cpp [ContainerContents] 1.1.2.28:
	* MMS.h [ContainerContents] 1.1.2.18:
		Оптимизировал метод AsString для CMMSNode

	* TaskDecompile.cpp [ContainerContents] 1.37.2.10:
		Библиотека картинок

	* MMS.cpp [ContainerContents] 1.1.2.24:
	* Storage.cpp [ContainerContents] 1.1.2.12:
	* Storage.h [ContainerContents] 1.1.2.8:
	* TaskDecompile.cpp [ContainerContents] 1.37.2.9:
		Навёл порядок.

2004-01-12	adirks
	* MMS.cpp [ContainerContents] 1.1.2.21:
	* Storage.cpp [ContainerContents] 1.1.2.10:
	* Storage.h [ContainerContents] 1.1.2.6:
		Сделал класс CStorage. Так удобнее, чем функциями.

	* CommonFunctions.cpp [ContainerContents] 1.1.2.6:
	* CommonFunctions.h [ContainerContents] 1.1.2.3:
	* MMS.cpp [ContainerContents] 1.1.2.20:
	* Storage.cpp [ContainerContents] 1.1.2.9:
		Неудачный эксперимент с открытием потоков без промежуточных откры
		тий IStorage. Но пусть побудет пока.

	* MMS.cpp [ContainerContents] 1.1.2.19:
	* Storage.cpp [ContainerContents] 1.1.2.8:
		Правильные переводы строк.

	* MMS.cpp [ContainerContents] 1.1.2.22:
	* MMS.h [ContainerContents] 1.1.2.15:
		ConfID переименовал в FirstAvailableID

	* MMS.cpp [ContainerContents] 1.1.2.23:
	* MMS.h [ContainerContents] 1.1.2.16:
	* Storage.cpp [ContainerContents] 1.1.2.11:
	* Storage.h [ContainerContents] 1.1.2.7:
	* TaskDecompile.cpp [ContainerContents] 1.37.2.8:
		При декомпиляции теперь везде используется CStorage

2004-01-11	adirks
	* MMS.cpp [ContainerContents] 1.1.2.18:
	* MMS.h [ContainerContents] 1.1.2.14:
		Ещё немножко объектов

2004-01-10	adirks
	* MMS.cpp [ContainerContents] 1.1.2.13:
	* MMS.h [ContainerContents] 1.1.2.10:
	* MainMetadataStream.y [ContainerContents] 1.5.2.6:
		Константы и регистры

	* MMS.cpp [ContainerContents] 1.1.2.17:
	* MMS.h [ContainerContents] 1.1.2.13:
	* MainMetadataStream.y [ContainerContents] 1.5.2.8:
	* Storage.cpp [ContainerContents] 1.1.2.7:
		Отчеты и обработки

	* MMS.cpp [ContainerContents] 1.1.2.14:
	* MMS.h [ContainerContents] 1.1.2.11:
	* MainMetadataStream.y [ContainerContents] 1.5.2.7:
	* Storage.cpp [ContainerContents] 1.1.2.4:
	* Storage.h [ContainerContents] 1.1.2.3:
	* TaskDecompile.cpp [ContainerContents] 1.37.2.6:
		Ещё немного простых объектов

	* MMS.cpp [ContainerContents] 1.1.2.16:
	* MMS.h [ContainerContents] 1.1.2.12:
	* Storage.cpp [ContainerContents] 1.1.2.6:
	* Storage.h [ContainerContents] 1.1.2.5:
		Сравнение содержания для сгенерированных файлов

	* CommonFunctions.cpp [ContainerContents] 1.1.2.5:
	* MMS.cpp [ContainerContents] 1.1.2.15:
	* Storage.cpp [ContainerContents] 1.1.2.5:
	* Storage.h [ContainerContents] 1.1.2.4:
	* Task.h [ContainerContents] 1.32.2.7:
	* TaskDecompile.cpp [ContainerContents] 1.37.2.7:
		Зачистка после декомпиляции

	* MMS.cpp [ContainerContents] 1.1.2.12:
	* MMS.h [ContainerContents] 1.1.2.9:
	* MainMetadataStream.y [ContainerContents] 1.5.2.5:
	* TaskDecompile.cpp [ContainerContents] 1.37.2.5:
		Выгрузка шаблонов mxl

2004-01-09	adirks
	* CommonFunctions.cpp [ContainerContents] 1.1.2.3:
	* MMS.cpp [ContainerContents] 1.1.2.7:
	* MMS.h [ContainerContents] 1.1.2.4:
	* MainMetadataStream.y [ContainerContents] 1.5.2.3:
	* ParserTest.cpp [ContainerContents] 1.4.2.3:
	* Storage.cpp [ContainerContents] 1.1.2.3:
	* Task.h [ContainerContents] 1.32.2.6:
	* TaskDecompile.cpp [ContainerContents] 1.37.2.4:
		Ещё немножко декомпиляции от ММС

	* CommonFunctions.cpp [ContainerContents] 1.1.2.4:
	* CommonFunctions.h [ContainerContents] 1.1.2.2:
	* MMS.cpp [ContainerContents] 1.1.2.8:
	* MMS.h [ContainerContents] 1.1.2.5:
	* ParserTest.dsp [ContainerContents] 1.3.2.3:
	* TaskCompile.cpp [ContainerContents] 1.20.2.5:
		Навёл порядок в классах CMMS<xxx>

	* CommonFunctions.cpp [ContainerContents] 1.1.2.2:
	* MMS.cpp [ContainerContents] 1.1.2.6:
		Даёшь Posix Compatibility!

	* MMS.cpp [ContainerContents] 1.1.2.10:
	* MMS.h [ContainerContents] 1.1.2.7:
		Рефакторинг дублированного кода

	* MMS.cpp [ContainerContents] 1.1.2.9:
	* MMS.h [ContainerContents] 1.1.2.6:
	* MainMetadataStream.y [ContainerContents] 1.5.2.4:
		Извлекаются справочники

	* MMS.cpp [ContainerContents] 1.1.2.4:
	* Storage.cpp [ContainerContents] 1.1.2.2:
	* Storage.h [ContainerContents] 1.1.2.2:
	* gcomp.dsp [ContainerContents] 1.10.2.4:
		Сравнение потоков и файлов

	* MMS.cpp [ContainerContents] 1.1.2.5:
		Выгрузка описаний документов

	* MMS.cpp [ContainerContents] 1.1.2.11:
	* MMS.h [ContainerContents] 1.1.2.8:
		Формы групп и списков справочников

2004-01-08	adirks
	* CommonFunctions.cpp [ContainerContents] 1.1.2.1:
	* CommonFunctions.h [ContainerContents] 1.1.2.1:
	* MMS.cpp [ContainerContents] 1.1.2.3:
	* MMS.h [ContainerContents] 1.1.2.3:
	* Storage.cpp [ContainerContents] 1.1.2.1:
	* Storage.h [ContainerContents] 1.1.2.1:
	* Task.cpp [ContainerContents] 1.22.2.3:
	* Task.h [ContainerContents] 1.32.2.5:
	* TaskCompile.cpp [ContainerContents] 1.20.2.4:
	* TaskDecompile.cpp [ContainerContents] 1.37.2.3:
	* gcomp.dsp [ContainerContents] 1.10.2.3:
		Вынес из класов функции общего характера

	* Storage.h 1.1:
		file Storage.h was initially added on branch ContainerContents.

	* Storage.cpp 1.1:
		file Storage.cpp was initially added on branch 
		ContainerContents.

	* CommonFunctions.cpp 1.1:
		file CommonFunctions.cpp was initially added on branch 
		ContainerContents.

	* CommonFunctions.h 1.1:
		file CommonFunctions.h was initially added on branch 
		ContainerContents.

2004-01-07	adirks
	* MMS.cpp 1.1:
		file MMS.cpp was initially added on branch ContainerContents.

	* MMS.h 1.1:
		file MMS.h was initially added on branch ContainerContents.

	* MMS.cpp [ContainerContents] 1.1.2.2:
	* MMS.h [ContainerContents] 1.1.2.2:
	* MainMetadataStream.y [ContainerContents] 1.5.2.2:
	* ParserTest.cpp [ContainerContents] 1.4.2.2:
	* ParserTest.dsp [ContainerContents] 1.3.2.2:
	* Task.cpp [ContainerContents] 1.22.2.2:
	* Task.h [ContainerContents] 1.32.2.4:
	* TaskDecompile.cpp [ContainerContents] 1.37.2.2:
		Общие функции вынесены из класса CTask. TaskParameters пришлось сделать глобальной переменной. Надо бы вообще вынести это всё в отдельный файл.
		Введен тип CMMS.

	* MMS.cpp [ContainerContents] 1.1.2.1:
	* MMS.h [ContainerContents] 1.1.2.1:
	* MainMetadataStream.y [ContainerContents] 1.5.2.1:
	* ParserTest.cpp [ContainerContents] 1.4.2.1:
	* ParserTest.dsp [ContainerContents] 1.3.2.1:
	* Task.cpp [ContainerContents] 1.22.2.1:
	* Task.h [ContainerContents] 1.32.2.3:
	* TaskCompile.cpp [ContainerContents] 1.20.2.3:
	* TaskDecompile.cpp [ContainerContents] 1.37.2.1:
	* gcomp.dsp [ContainerContents] 1.10.2.2:
	* gcomp.dsw [ContainerContents] 1.5.2.1:
		Декомпиляция "от ММС": первое приближение.
		Выгружаются формы, иодули форм и метаданные документов.

2003-12-27	adirks
	* Container.cpp [ContainerContents] 1.1.2.1:
	* Container.h [ContainerContents] 1.1.2.1:
	* Task.h [ContainerContents] 1.32.2.1:
	* TaskCompile.cpp [ContainerContents] 1.20.2.1:
	* gcomp.dsp [ContainerContents] 1.10.2.1:
		Программная генерация Container.Contents
		Первое приближение

	* Container.cpp 1.1:
		file Container.cpp was initially added on branch 
		ContainerContents.

	* TaskHelp.cpp 1.11:
		В help добавлено описание --truncate-mms

	* Container.h 1.1:
		file Container.h was initially added on branch 
		ContainerContents.

	* Task.cpp 1.22:
	* Task.h 1.32:
	* TaskCompile.cpp 1.20:
		Добавлена опция --truncate-mms. По умолчанию ММС не обрезается. Д
		ля файлов, не являющихся внешними отчетами ММС не обрезается, даж
		е если указать опцию.

	* Container.cpp [ContainerContents] 1.1.2.2:
	* Container.h [ContainerContents] 1.1.2.2:
	* Task.h [ContainerContents] 1.32.2.2:
	* TaskCompile.cpp [ContainerContents] 1.20.2.2:
		1С при загрузке конфигурации уже не падает.

2003-12-26	adirks
	* Task.cpp 1.21:
	* Task.h 1.31:
	* TaskDecompile.cpp 1.37:
		Поубирал лишние комментарии

2003-12-24	adirks
	* TaskDecompile.cpp 1.33:
		Немножко исправлен процесс обработки ММС. Смещения и размеры вычи
		сляются, а не заданы жестко.

2003-12-24	fez
	* TaskDecompile.cpp 1.34:
		Убрана диагностическая печать.

	* StreamInfo.cpp 1.10:
	* StreamInfo.h 1.9:
	* TaskDecompile.cpp 1.36:
		Исправлен глючок с постоянным обновлением MMS. У него уменьшился 
		размер после отрыва CRC - а StreamInfo об этом не знал.

	* TaskDecompile.cpp 1.35:
		Оптимизировано копирование потоков Dialog.Stream при декомпиляции
		.

2003-12-23	fez
	* TaskDecompile.cpp 1.31:
		Наконец-то обрабатывается MMS. При декомпиляции он выгружается в виде "9-го релиза" - без CRC в подвале.
		Это позволит мерджить MMS.

	* Task.h 1.29:
		Хочу отказаться от использования CTask::pTaskParameters и испольо
		вать вместо него TaskParameters непосредственно.

	* Task.h 1.30:
	* TaskDecompile.cpp 1.30:
		Подчищены комментарии

	* StreamInfo.cpp 1.9:
		Удалена строчка отладочной печати

	* TaskDecompile.cpp 1.32:
		Добавлен небольшой комментарий

2003-12-22	fez
	* StreamInfo.cpp 1.8:
	* StreamInfo.h 1.7:
	* Task.h 1.26:
	* TaskCompile.cpp 1.19:
	* TaskDecompile.cpp 1.29:
	* gcomp.dsp 1.10:
		Все ULONG переделаны на unsigned long

	* Task.h 1.28:
		printf - ы теперь берутся из stdio.h

	* Task.cpp 1.19:
	* Task.h 1.25:
		Одним include стало меньше

	* StreamInfo.cpp 1.6:
	* StreamInfo.h 1.5:
	* Task.h 1.20:
	* TaskCompile.cpp 1.15:
	* TaskDecompile.cpp 1.23:
	* gcomp.dsp 1.9:
		Попытался отпилить у MMS CRC. Пока чего-то не получается.
		Решил скомитить, пока не зашло слишком далеко.

	* StreamInfo.h 1.8:
	* Task.h 1.27:
		Интерфейсы IStream и IStorage теперь берутся из ole2.h

	* Task.h 1.23:
		раз PathInStorage больше нигде не используется - лесом

	* Task.cpp 1.18:
	* Task.h 1.24:
	* TaskDecompile.cpp 1.27:
		раз PathInStorage больше нет, то класс
		CFullPath тоже можно удалить

	* StreamInfo.cpp 1.7:
	* Task.cpp 1.20:
	* TaskCompile.cpp 1.17:
	* TaskDecompile.cpp 1.28:
		Удалено немного комментариев

	* TaskDecompile.cpp 1.26:
		Удалены строки по заполнению/очистке FullPathInStorage
		Что-то они нигде не используются :)

	* Task.h 1.22:
	* TaskDecompile.cpp 1.25:
		Везде OLECHAR из MFC заменил на wchar_t из stdlib.h

	* TaskCompile.cpp 1.18:
		Еще одним инклюдом меньше

	* StreamInfo.h 1.6:
	* Task.cpp 1.17:
	* Task.h 1.21:
	* TaskCompile.cpp 1.16:
	* TaskDecompile.cpp 1.24:
		Везде WCHAR из MFC заменил на wchar_t из stdlib.h

2003-12-19	fez
	* Task.h 1.19:
	* gcomp.cpp 1.8:
		Удалены файлы парсера. Остатки

	* Container.y 1.6:
	* ContainerContents.cpp 1.9:
	* ContainerContents.h 1.8:
	* MainMetadataStream.y 1.5:
	* ParserTest.cpp 1.4:
	* ParserTest.dsp 1.3:
	* gcomp.dsp 1.8:
	* gcomp.dsw 1.5:
		Удалены файла парсера. До версии 0.2 он не понадобится.

	* TaskDecompile.cpp 1.22:
		CTaskDecompile::GetStreamByName() переименован в
		CTaskDecompile::GetCleanStream()
		
		Данный метод должен возвращать готовый поток для копирования в файл. Внесены соответствующие изменения: длина у потоков теперь отрывается именно здесь.

2003-12-18	adirks
	* Container.y 1.4:
	* MainMetadataStream.y 1.4:
	* ParserTest.cpp 1.3:
		Lexical analyser переориентирован на чтение файла

	* Container.y 1.5:
	* ContainerContents.cpp 1.8:
	* ContainerContents.h 1.7:
		Удален отладочный код

2003-12-18	fez
	* TaskHelp.cpp 1.10:
		Исправлено сообщение в помощи. Смысловая ошибка.

2003-12-16	adirks
	* TaskDecompile.cpp 1.21:
		Робкие экперименты с CMap

	* Task.cpp 1.16:
	* Task.h 1.18:
	* TaskHelp.cpp 1.9:
		Немножко изменил способ формирования каталога для внешних отчетов
		, и добавил ключик -DD чтобы запретить самостоятельные действия с
		 каталогом

2003-12-15	fez
	* StreamInfo.cpp 1.5:
	* StreamInfo.h 1.4:
	* TaskCompile.cpp 1.14:
		Dialog.Stream размером 255 байт не дает мне покоя. А точнее - расчет размера для него.
		Очередная ошибка, теперь уже при компиляции.
		Еще нужно отрефакторить полученные cut&paste методы
		CStreamInfo::DetermineFileSizeFormat()
		CStreamInfo::DetermineSizeFormat()

	* TaskHelp.cpp 1.8:
		Ключ --no-profiles описан в gcomp -h

	* Task.cpp 1.14:
	* TaskDecompile.cpp 1.19:
		Уборка веником. Небольшая.

	* Task.h 1.16:
	* TaskDecompile.cpp 1.18:
		Пустые каталоги снова не удаляются. Этим занимается клиент cvs.

	* Task.cpp 1.15:
	* Task.h 1.17:
	* TaskCompile.cpp 1.13:
	* TaskDecompile.cpp 1.20:
		Добавлена опция --no-profiles - пропускает при работе файлы Container.Profile
		Добавлен вывод во второй уровень вербализации при компиляции.

	* Task.cpp 1.13:
	* TaskHelp.cpp 1.7:
		Удалена возможность указания имен файлов/каталогов мимо ключей -
		F -D

	* StreamInfo.cpp 1.4:
		А чего будет, если длина Dialog.Stream ровно 256 байт?

2003-12-13	Администратор
	* TaskDecompile.cpp 1.14:
		Удалена неиспользуемая переменная

	* Task.cpp 1.12:
	* TaskCompile.cpp 1.10:
		Еще несколько cout заменено на Msg()

	* Task.cpp 1.11:
	* Task.h 1.12:
	* TaskHelp.cpp 1.6:
		Добавлен молчаливый режим работы

	* TaskCompile.cpp 1.9:
		Заменил несколько cout на Msg()

	* ParserTest.dsp 1.2:
	* gcomp.dsw 1.4:
		Изменения в проекте для нормального компилирования

	* TaskCompile.cpp 1.11:
		*** empty log message ***

	* Task.h 1.11:
	* TaskDecompile.cpp 1.15:
		Заданы правила уровней вербализации при работе. Все сообщения рас
		ставлениы в соответствии с ними

	* TaskDecompile.cpp 1.17:
		Ну их - эти комментарии

	* TaskHelp.cpp 1.4:
		Помощь по gcomp -h приведена в соответствие с текущим состоянием

	* Task.h 1.14:
	* TaskCompile.cpp 1.12:
		CTaskCompile::MakeCompound() не нужен параметр - его значение мож
		но взять из pTaskParameters

	* Task.h 1.13:
	* TaskCompile.cpp 1.8:
	* TaskDecompile.cpp 1.16:
		Удалено мальца комментариев. Побаловался с функцией CTask::Msg() 
		- оптимизировал один из вызовов.

	* Task.h 1.10:
	* TaskDecompile.cpp 1.12:
		Удалено журналирование в файл. Лучше использовать перенаправление
		 с stdout

	* TaskDecompile.cpp 1.13:
		Еще немного удалено журналирования в файл. Не надо сохранять соот
		ветствие файлов потокам при выгрузке - эти настройки лучше хранит
		ь в программе или в ini файле.

	* StreamInfo.cpp 1.3:
	* StreamInfo.h 1.3:
	* Task.h 1.15:
		Удалены неиспользующиеся определения и один конструктор.

	* TaskHelp.cpp 1.5:
		Еще немного добавлено в помощь

2003-12-11	Adirks
	* gcomp.cpp 1.6:
	* gcomp.dsw 1.3:
		Эксперименты с парсером выделены в отдельный проект

	* ContainerContents.cpp 1.7:
	* ContainerContents.h 1.5:
		Функция для поиска нужного контэйнера в дереве

	* Task.cpp 1.9:
	* Task.h 1.8:
		Класс для хранения полного пути по кускам

2003-12-11	Leha
	* ParserTest.cpp 1.1:
	* ParserTest.dsp 1.1:
	* gcomp.dsp 1.7:
		Тест парсера выделен в отдельный проект

	* TaskDecompile.cpp 1.11:
		Создается тривиальный лог-файл, в котором хранятся соответствия п
		отоков и фалов

	* ParserTest.cpp 1.2:
	* gcomp.cpp 1.7:
		Навёл красоту

2003-12-10	Adirks
	* Container.y 1.3:
		Префикс функциям парсера

	* gcomp.cpp 1.3:
		Эксперименты с парсером

	* TaskDecompile.cpp 1.8:
		Для новых файлов в логе пишем NEW а не UPD

	* Task.cpp 1.7:
		функция GetHFileByName создает файл в зависимости от флага 
		ReadOnly

	* ContainerContents.cpp 1.2:
	* ContainerContents.h 1.2:
	* MainMetadataStream.y 1.1:
		Парсер для MMS

2003-12-10	Leha
	* MainMetadataStream.y 1.3:
		Убрал мусор

	* TaskDecompile.cpp 1.9:
		Все информационые сообщения идут теперь через Msg()

	* ContainerContents.cpp 1.4:
		Навел красот в AsString()

	* MainMetadataStream.y 1.2:
		Не создается лишних списков
		MMDS поменял на MMS

	* Task.cpp 1.8:
	* Task.h 1.7:
		Функция Msg() предназначена для выдачи сообщений в зависимости от
		 VerbosityLevel

	* ContainerContents.cpp 1.3:
	* ContainerContents.h 1.3:
		Убрал всякий мусор.
		Сделал убиение списков.
		MMDS поменял на MMS.

	* ContainerContents.cpp 1.6:
	* ContainerContents.h 1.4:
		Эксперименты с вычислением CRC

	* ContainerContents.cpp 1.5:
		Ну теперь уж совсем красота

2003-12-09	Leha
	* gcomp.cpp 1.2:
		Эксперименты с парсером (закомментарены)

	* ContainerContents.cpp 1.1:
	* ContainerContents.h 1.1:
		Структуры данных для разбора и хранения сдержимого 
		Container.Contents

	* TaskDecompile.cpp 1.7:
		Проверка на существование файла при сравнении содержимого.
		Более интеллектуальное создание каталогов.
		Местами трансляция русских буквочек AnsiToOem

	* Container.y 1.2:
		Отработка двойной кавычки в строке

	* TaskCompile.cpp 1.7:
		Местами трансляция русских буквочек AnsiToOem

	* Task.h 1.6:
		Интеллектуальная функция создания каталога - создает все вышестоя
		щие каталоги, если их нет

	* Task.cpp 1.6:
		Изменён способ конструирования каталога для внешних отчетов - к исходному каталогу добавляется имя самого отчета.
		Интеллектуальная функция создания каталога - создает все вышестоящие каталоги, если их нет.

	* TaskHelp.cpp 1.3:
		В help message описаны новые параметры командной строки.

2003-12-08	Leha
	* gcomp.dsp 1.5:
		В проект добавлены модули грамматического парсера.

	* TaskCompile.cpp 1.5:
		Добавил информационных мессаг
		Исправлена ошибка типа FILE_ATTRIBUTE_DIRECTORY == fAttribs

	* TaskDecompile.cpp 1.4:
		Исправлена проверка флагов файла (некорректно сравнение 
		FILE_ATTRIBUTE_DIRECTORY == fAttribs  - могут ведь быть и другие 
		флаги)

	* Task.cpp 1.5:
	* Task.h 1.5:
	* TaskCompile.cpp 1.6:
	* TaskDecompile.cpp 1.6:
		Добавлен класс CTaskParameters, который разбирает командную строк
		у, и хранит все параметры, управляющие работой.

	* Task.cpp 1.4:
		Функция GetHFileByName() перенесена из класса CTaskDecompile в ро
		дительский класс.

	* TaskDecompile.cpp 1.5:
		Добавил информационных мессаг

	* StreamInfo.cpp 1.2:
		Работа c файлами везде ведётся через HANDLE, а не CFile.
		Скорректированы граничные условия, по которым определяются размеры контрольной суммы.

	* StreamInfo.h 1.2:
	* Task.h 1.4:
	* TaskCompile.cpp 1.4:
		Работа c файлами везде ведётся через HANDLE, а не CFile.

	* Container.y 1.1:
		Описание грамматики для файлов типа Container.Contents.

2003-12-06	Leha
	* StreamInfo.cpp 1.1:
	* StreamInfo.h 1.1:
		Класс, собирающий иформацию о потоке/файле

	* Task.cpp 1.3:
	* Task.h 1.3:
	* TaskCompile.cpp 1.3:
	* TaskDecompile.cpp 1.3:
	* gcomp.dsp 1.4:
		Довольно много исправлений
		- Можно указать компаунд файл и каталог
		- Поблочное сравнение при выгрузке
		- Убирает контрольные суммы при выгрузке
		- Считает и пишет контр. суммы при загрузке
		- Для внешних отчетов при загрузке Main Metadata Stream он подменяется на минимальный

2003-11-30	Leha
	* Task.cpp 1.2:
	* Task.h 1.2:
	* TaskCompile.cpp 1.2:
	* TaskDecompile.cpp 1.2:
		Имена файлов больше не обрезаются

